OpenMesh::Subdivider::Uniform::CompositeSqrt3T< MeshType, RealType >::FVCoeff Struct Reference

Helper class. More...

`#include <OpenMesh/Tools/Subdivider/Uniform/CompositeSqrt3T.hh>`

Inheritance diagram for OpenMesh::Subdivider::Uniform::CompositeSqrt3T< MeshType, RealType >::FVCoeff:
[legend]
Collaboration diagram for OpenMesh::Subdivider::Uniform::CompositeSqrt3T< MeshType, RealType >::FVCoeff:
[legend]

## Classes

struct | compute_weight

## Public Member Functions

void | init (size_t _max_valence)
double | operator() (size_t _valence)

## Public Attributes

std::vector< double > | weights_

## Detailed Description

### template<typename MeshType, typename RealType = double>
struct OpenMesh::Subdivider::Uniform::CompositeSqrt3T< MeshType, RealType >::FVCoeff

Helper class.

The documentation for this struct was generated from the following file:

- OpenMesh/Tools/Subdivider/Uniform/CompositeSqrt3T.hh